#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Ajout d'une base de données dans Mysql
# Scribe-2.2
# Equipe Eole eole@ac-dijon.fr

import os
import sys
from eolesql.log import log_console
from mysql_pwd import mysql_root_passwd

mysql_code="""CREATE DATABASE %s;
GRANT ALL PRIVILEGES ON %s.* TO %s@localhost IDENTIFIED BY '%s';
flush  privileges;
"""

if __name__ == "__main__":

    if '-h' in sys.argv or '--help' in sys.argv:
        print """Utilisation :

        * Mode interactif :
            %s

        * Mode non interactif
            %s "dbname" "dbuser" "dbpass"
        """ % (sys.argv[0], sys.argv[0])
        sys.exit()

    if len(sys.argv) == 4:
        database = sys.argv[1]
        user = sys.argv[2]
        password = sys.argv[3]
    else:
        database = raw_input("Nom de la base de données à créer : ")
        user = raw_input("Nom de l'utilisateur Mysql administrant la base : ")
        password = raw_input("Mot de passe de l'utilisateur Mysql administrant \
la base : ")

    # modification du mot de passe root de Mysql
    entree,sortie=os.popen2("/usr/bin/pwgen -C")
    root_password = sortie.read().split()[0]
    mysql_root_passwd(root_password)

    # création de la base et de son utilisateur
    log_console("## Création de la base %s ##" % (database, ))
    code = mysql_code % (database, database, user, password)
    os.system("echo \"%s\" | mysql --password=\"%s\" mysql" % (code,root_password))
