#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# config.py
#
# Configuration du gestionnaire de base de données
#
###########################################################################
"""
    Configuration du gestionnaire de base de données
"""
from os import path
LOGLEVEL = 0
LOGFILE = "/var/log/databases.log"
HOST = "localhost"
# Clé obligatoire pour la conf de mise à jour
CONF_KEYS = ["filenames", "db", "host"]

APP_DIRNAME = path.join('/usr/share/eole', 'applications')
UPDATE_DIRNAME = path.join(APP_DIRNAME, 'updates')
PWD_DIRNAME = path.join(APP_DIRNAME, 'passwords')
GEN_DIRNAME = path.join(APP_DIRNAME, 'gen')
MYSQL_DIR = "/var/lib/mysql"
ROOT_USERNAME = 'root'

try:
    from creole.parsedico import parse_dico
    dico_creole = parse_dico()
except:
    pass
